
-- NCP Server Schema
--
-- CoPyRiGhT=(c) Copyright 2004, Novell, Inc.  All rights reserved

NCPSchemaExtensions {2 16 840 1 113719 1 451} DEFINITIONS ::=
BEGIN

-- 
-- 
--
"linuxNCPMountPoint"	ATTRIBUTE ::=
{
	Operation	ADD,
   Flags			{DS_SYNC_IMMEDIATE, DS_SIZED_ATTR},
	SyntaxID		SYN_CI_STRING,
   LowerBound	1,
   UpperBound	4096,
	ASN1ObjID	{2 16 840 1 113719 1 451 4 1 1}
}

--
--
--
"NCPVolumeConfValues" ATTRIBUTE ::=
{
	Operation       ADD,
	Flags           {DS_SYNC_IMMEDIATE, DS_SIZED_ATTR},
	SyntaxID        SYN_CI_STRING,
	LowerBound      3,
	UpperBound      512,
	ASN1ObjID       {2 16 840 1 113719 1 451 4 1 2}
}
--
-- 
-- 
-- 
--
"Volume"		OBJECT-CLASS ::=
{
   Operation	MODIFY,
   MayContain	{"linuxNCPMountPoint"},
   MayContain {"NCPVolumeConfValues"}
}

END
